Forum Flightgear France

Une communauté prend son envol

Vous n'êtes pas identifié(e).

Annonce

Futur nouvel inscrit, tu dois au préalable lire l'intégralité des 10 articles des règles, s'il te plaît. Tout nouveau compte qui ne respecte pas les règles sera supprimé par l'administration.

#26 29/04/2021 9:45:28

ctesc356
Membre
Inscription : 18/05/2010
Messages : 3 226

Re : Vol à basse altitude: bâtiments écrasés

Bonjour,
pour du vfr en local ou pour "meubler" autour d'un ap on a pas besoin d'une zone 10/10°, p.ex. avec 3 fichiers,"e005n43, e006n43, e007n43 on peut voler de Marseille à Sanremo, avec 3 de plus on a tout le sud-est.
https://scenery.flightgear.org/static/map/index.html
lfmn-o10.png
Après, avec linux on a des outils pour automatiser... mais on va éviter de "dévaliser" le dépôt, on s'abstient et on attend la solution des développeurs wink


Intel i5 3570 3.4Mhz, Nvidia GTX 660, 8Go Ram, Linux Mint/Debian testing

Hors ligne

#27 29/04/2021 12:25:15

dany93
Administrateur
Lieu : Région Parisienne
Inscription : 5/07/2009
Messages : 3 567

Re : Vol à basse altitude: bâtiments écrasés

ctesc356 a écrit :

Bon, 900Gb c'est le volume qu'annoncait Merspieler pour la terre entière, on a pas besoin de tout engranger...

C'est même fortement déconseillé. FG s'est déjà fait éjecter de certains hébergeurs à cause de la quantité de données transférées. Les développeurs ont pris des mesures pour limiter ces excès en importation.

ctesc356 a écrit :

Il est de moins en moins facile de trouver des hébergeurs complaisants, mettant à disposition gratuitement des volumes de plus en plus grands


FG 2020.3.0 (et 2019.2.0), OSG 3.4.2, Linux Mint 18 (64b), Quad Q6600 (2.4 GHz), RAM 8Go DDR2, GEFORCE GTX 650 1GB
Boeing 787-8 (YASim, avec nickyivyca, aco)
Hangar avions Patten (PAF) Robin  DR400 JSBSim, Douglas DC3 JSBSim, CAP10B, Tecnam P92 JSBSim.

Hors ligne

#28 1/05/2021 7:58:57

F5SLQ
Membre
Lieu : LFLN
Inscription : 16/12/2018
Messages : 331

Re : Vol à basse altitude: bâtiments écrasés

Bonjour tout le monde,
En lisant ce post, je me dis que c'est peut être normal que Layette ne voit pas la terre comme nous car il me semble qu'en 2020.3.6 on n'avait pas OSM... par contre, on l'a sur la 2020.3.8...
Il y a un autre paramètre influant me semble-t-il pour voir les détails, c'est dans le menu "Affichage" et "Ajuster le niveau de détail"...
Je ne sais pas si mon post pourra aider Layette... et bon premier mai à tous cool

Laurent


FlightGear : 2020.3.6 - Buid ID : 297
Windows 10 - x64 - Carte vidéo : NVIDIA GeForce GTX 1060 - 6GB
Processeur : Intel (R) Core (TM) i5-7600 CPU @ 3,5 GHz  - RAM : 16 Go à 2,4GHz - Joystick Logitech Extreme 3D PRO
Multi player callsign : F-JEEP

Hors ligne

#29 4/05/2021 0:01:37

Layette
Membre
Inscription : 24/04/2021
Messages : 24

Re : Vol à basse altitude: bâtiments écrasés

Bonjour, merci pour vos réponses.

FSSLQ a écrit :

En lisant ce post, je me dis que c'est peut être normal que Layette ne voit pas la terre comme nous car il me semble qu'en 2020.3.6 on n'avait pas OSM... par contre, on l'a sur la 2020.3.8...

Oui effectivement sur Mageia 8 la version de flightgear proposée est la 2020.3.6. Je vais voir s'il est possible d'installer la 2020.3.8.
Merci.


Systeme d'exploitation : Mageia 8
00:02.0 VGA compatible controller: Intel Corporation HD Graphics 530 (rev 06)
01:00.0 3D controller: NVIDIA Corporation GM107M [GeForce GTX 960M] (rev a2) Version flightgear: 2020.3.6
RAM: 16 Go   Processeur : Intel Core i5-6300HQ   1 processeur physique; 4 coeurs; 4 threads

Hors ligne

#30 4/05/2021 8:58:02

f-toro
Administrateur
Lieu : LFLA
Inscription : 16/12/2007
Messages : 2 842

Re : Vol à basse altitude: bâtiments écrasés

Éternelle rengaine.
Et pourquoi pas, au lieu d'essayer de remplacer une version dépassée par une version qui ne va pas tarder à l'être, la remplacer par une version toujours à jour, en compilant ?


André. anciennement taureau89_9
Debian Testing Amd64. CM Sabertooth 990FX, FX8350, 32 Go Ram DDR3 1866 Mhz, GTX 750ti 2Go, DD 2To Sata 3, THRUSTMASTER T.Flight StickX, FG 2020.4.0 Git.

Hors ligne

#31 4/05/2021 11:27:32

dany93
Administrateur
Lieu : Région Parisienne
Inscription : 5/07/2009
Messages : 3 567

Re : Vol à basse altitude: bâtiments écrasés

Question : download_and_compile.sh est-il adapté à Mageia ?


FG 2020.3.0 (et 2019.2.0), OSG 3.4.2, Linux Mint 18 (64b), Quad Q6600 (2.4 GHz), RAM 8Go DDR2, GEFORCE GTX 650 1GB
Boeing 787-8 (YASim, avec nickyivyca, aco)
Hangar avions Patten (PAF) Robin  DR400 JSBSim, Douglas DC3 JSBSim, CAP10B, Tecnam P92 JSBSim.

Hors ligne

#32 4/05/2021 22:56:12

zakharov
Membre historique du forum.
Inscription : 11/09/2005
Messages : 897

Re : Vol à basse altitude: bâtiments écrasés

Hugh,

d&c.sh est écrit en bash, donc dispo sur à peu près 100% des distros Linux. Après pour l'installation automagique des paquets qui permettent de compiler c'est pas gagné, car si je lis rapidos le script je ne vois que du debian-based, et mageia c'est du redhat-based, même si la distro (feu)mandrake à la lointaine origine de mageia a divergé il y a bien longtemps. Ce qui va changer ? le format des noms de paquets principalement, et bien entendu le système d'empaquetage (type d'archive tout ça, il y a bien un truc qui s'appelle alien pour convertir, mais bon... jamais utilisé)

Mais installer les paquets de dev sous mageia doit pas être plus compliqué que d'installer fg par lafayette (via le CCM dont tu as déjà causé), et la doc pour savoir lesquels installer foisonne : le wiki de FG par exemple, ou même en utilisant le gestionnaire de paquet de mageia pour lui demander quels sont les paquets source nécessaire à l'installation du paquet source de FG. C'est cette dernière solution que j'ai utilisé ici lors de ma dernière install de FG quand j'ai changé mon ordi il y a un an tout juste. ça a duré 2 secondes, et encore en prenant mon temps wink

Et la sempiternelle ritournelle habituelle: compiler et se planter c'est aussi un super moyen de comprendre un peu mieux comment fonctionne ta distro et FG, et tout un tas d'autres choses sur Linux en général.

@+
bons vols
zakh


le zkv1000
Debian Buster sur i7-9750H, 16G, NVIDIA GeForce GTX 1660 Ti MaxQ 6Go,
FG next compilé à la mano
Joystick TM T. Stick X avec avec fichier de conf perso

Hors ligne

#33 5/05/2021 9:25:27

f-toro
Administrateur
Lieu : LFLA
Inscription : 16/12/2007
Messages : 2 842

Re : Vol à basse altitude: bâtiments écrasés

zakharov a écrit :

car si je lis rapidos le script je ne vois que du debian-based, et mageia c'est du redhat-based

Et pour Manjaro, c'est du arch-based ? big_smile

zakharov a écrit :

Ce qui va changer ? le format des noms de paquets principalement, et bien entendu le système d'empaquetage

Les paquets Manjaro n'ont pas de suffixe, c'est ni du .deb ni du .rpm , mais c'est pas dit si c'est du .arch roll


André. anciennement taureau89_9
Debian Testing Amd64. CM Sabertooth 990FX, FX8350, 32 Go Ram DDR3 1866 Mhz, GTX 750ti 2Go, DD 2To Sata 3, THRUSTMASTER T.Flight StickX, FG 2020.4.0 Git.

Hors ligne

#34 5/05/2021 10:52:46

jano
Moderateur
Inscription : 13/11/2007
Messages : 960

Re : Vol à basse altitude: bâtiments écrasés

faudra juste pas utiliser l'installation automatique des paquets, mais c'est aussi rigolo à faire à la main:

lancer la compilation, regarder les erreurs de configuration.
trouver le paquet qui correspond, l'installer puis recommencer ...

faut le prendre comme une chain quest de la compilation, tu obtien la récompense suprème quand ça compile enfin smile et y'en a pas tant que ça des dépendances ...

Hors ligne

#35 5/05/2021 14:28:12

Layette
Membre
Inscription : 24/04/2021
Messages : 24

Re : Vol à basse altitude: bâtiments écrasés

Bonjour et merci à toutes et à tous pour vos réponses et explications.

t-toro a écrit :

Éternelle rengaine.
Et pourquoi pas, au lieu d'essayer de remplacer une version dépassée par une version qui ne va pas tarder à l'être, la remplacer par une version toujours à jour, en compilant ?

Bon pour l'éternelle rengaine je vous présente mes excuses.
Pour le reste, compiler au lieu de prendre ce que la distribution Mageia me propose, j'avoue que je n'y avais pas pensé. Je n'ai pas encore eu le temps de lire les 35 millions de tonnes de documentation qui doit exister à propos de flightgear. Donc je fais mon méaculpa et je vais tenter de compiler flightgear sous Mageia 8 tout en sachant, si j'en crois vos différents commentaires, que ça risque de ne pas se passer tout seul !! effectivement Mageia 8 c'est du paquetage .rpm en attendant peut-être du .deb pour Mageia 9 ... affaire à suivre.
Juste une petite question: si je dois compiler, peut-être faudrait-il que je désinstalle d'abord la version qui est installée sur mon ordi ?
Je vous remercie pour vos réponses et votre aide, je vais essayer de ne pas retomber dans une "éternelle rengaine" mais quand on débute sur un simulateur de vol tel que flightgear ce n'est pas du tout évident, je vous demande de bien vouloir m'excuser pour mon ignorance en ce domaine.   

zakharov a écrit :

Les paquets Manjaro n'ont pas de suffixe, c'est ni du .deb ni du .rpm , mais c'est pas dit si c'est du .arch roll

Mais installer les paquets de dev sous mageia doit pas être plus compliqué que d'installer fg par lafayette (via le CCM dont tu as déjà causé),

Ce n'est pas "lafayette" mais "layette" hi hi hi smile   ce n'est pas grave hein, ça m'a fait sourire.


Systeme d'exploitation : Mageia 8
00:02.0 VGA compatible controller: Intel Corporation HD Graphics 530 (rev 06)
01:00.0 3D controller: NVIDIA Corporation GM107M [GeForce GTX 960M] (rev a2) Version flightgear: 2020.3.6
RAM: 16 Go   Processeur : Intel Core i5-6300HQ   1 processeur physique; 4 coeurs; 4 threads

Hors ligne

#36 5/05/2021 15:04:48

dany93
Administrateur
Lieu : Région Parisienne
Inscription : 5/07/2009
Messages : 3 567

Re : Vol à basse altitude: bâtiments écrasés

Layette a écrit :

Bon pour l'éternelle rengaine je vous présente mes excuses.
(...)
j'avoue que je n'y avais pas pensé

Il n'y a pas de mal et pas de quoi présenter tes excuses. smile

Ce n'est forcément pas la première idée qui vient au nouvel arrivant.
J'y avais bien sûr pensé avant :

dany93 a écrit :

Tu as FlightGear 2020.3.6 (une avant-avant-dernière "stable"). Par ta distribution ?

Mais j'avais pensé à ce problème des dépendances. Aussi, je m'étais retenu de précipiter les choses pour ne pas ajouter de la confusion, avec des problèmes à l'intérieur des problèmes.

Layette a écrit :

si je dois compiler, peut-être faudrait-il que je désinstalle d'abord la version qui est installée sur mon ordi ?

On peut normalement conserver plusieurs versions juxtaposées (au moins avec les distributions venant de FG et celles compilées, situées dans ton répertoire "home/utilisateur").
Avec une version de ta distribution (Mageia ou autre, installée dans ton répertoire "System"), je pense qu'il vaudra mieux la désinstaller avant (à confirmer, attends d'autres avis). Cependant, une désinstallation-réinstallation à partir de la distribution est si rapide et facile sous Linux qu'à mon avis il vaut mieux désinstaller.
Tes dossiers "avions" importés et "Terrasync" peuvent subsister et être partagés par plusieurs versions de FG. Éventuellement avec quelques petites manipulations mais en conservant l’essentiel.
Pour tes fichiers de configuration (lanceur et simulateur), c'est moins sûr mais plus rapide à arranger s'il fallait...

Dernière modification par dany93 (8/05/2021 19:22:58)


FG 2020.3.0 (et 2019.2.0), OSG 3.4.2, Linux Mint 18 (64b), Quad Q6600 (2.4 GHz), RAM 8Go DDR2, GEFORCE GTX 650 1GB
Boeing 787-8 (YASim, avec nickyivyca, aco)
Hangar avions Patten (PAF) Robin  DR400 JSBSim, Douglas DC3 JSBSim, CAP10B, Tecnam P92 JSBSim.

Hors ligne

#37 5/05/2021 16:26:21

ctesc356
Membre
Inscription : 18/05/2010
Messages : 3 226

Re : Vol à basse altitude: bâtiments écrasés

Bonjour,

Layette a écrit :

effectivement Mageia 8 c'est du paquetage .rpm en attendant peut-être du .deb pour Mageia 9 ... affaire à suivre.

Le beau poisson d'avril... wink


Intel i5 3570 3.4Mhz, Nvidia GTX 660, 8Go Ram, Linux Mint/Debian testing

Hors ligne

#38 5/05/2021 16:58:08

Layette
Membre
Inscription : 24/04/2021
Messages : 24

Re : Vol à basse altitude: bâtiments écrasés

Bonjour, ok encore merci pour les infos.

ctesc356 a écrit :

Bonjour,
Layette a écrit :

    effectivement Mageia 8 c'est du paquetage .rpm en attendant peut-être du .deb pour Mageia 9 ... affaire à suivre.

Le beau poisson d'avril...

Euh ... oui, moi aussi je suis un peu comme la fosse du même nom smile !

http://www.tuxmachines.org/node/149488


Systeme d'exploitation : Mageia 8
00:02.0 VGA compatible controller: Intel Corporation HD Graphics 530 (rev 06)
01:00.0 3D controller: NVIDIA Corporation GM107M [GeForce GTX 960M] (rev a2) Version flightgear: 2020.3.6
RAM: 16 Go   Processeur : Intel Core i5-6300HQ   1 processeur physique; 4 coeurs; 4 threads

Hors ligne

#39 5/05/2021 17:06:43

ctesc356
Membre
Inscription : 18/05/2010
Messages : 3 226

Re : Vol à basse altitude: bâtiments écrasés


Intel i5 3570 3.4Mhz, Nvidia GTX 660, 8Go Ram, Linux Mint/Debian testing

Hors ligne

#40 5/05/2021 17:24:54

Layette
Membre
Inscription : 24/04/2021
Messages : 24

Re : Vol à basse altitude: bâtiments écrasés

wink
Sur ton lien ctesc356:

Stiegler Jean-Claude dit :   
1 avril 2021 à 12 h 07 min   

Ah ! ça, c’est cool !

Mais bon… heu… ?

Ho ! le joli poisson !

Trêve de plaisanterie, j’ai beaucoup de respect pour Debian, mais pour les utilisateurs de systèmes informatiques lambda, Mageia et son Centre de contrôle sont inégalables !

C'est aussi pour ça que je ne me suis pas posé de question philosophique et que trouvant flightgear dans le CCM et ben je l'ai installé ... car je me considère comme "utilisateur de systèmes informatiques lambda" ha ! ha ! ha !
Bon ce n'est pas la dernière version OK 
On peut rigoler un peu quand même non ? big_smile

Tiens d'ailleurs je viens de lancer le "download_and_compile.sh"  ça plante d'entrée sur dctrl-tools qui n'est pas là ha ! ha ! ha ! ben ouais c'est un paquetage .deb !!!!!!!!  bon pas grave je vais chercher ...

Dernière modification par Layette (5/05/2021 17:28:33)


Systeme d'exploitation : Mageia 8
00:02.0 VGA compatible controller: Intel Corporation HD Graphics 530 (rev 06)
01:00.0 3D controller: NVIDIA Corporation GM107M [GeForce GTX 960M] (rev a2) Version flightgear: 2020.3.6
RAM: 16 Go   Processeur : Intel Core i5-6300HQ   1 processeur physique; 4 coeurs; 4 threads

Hors ligne

#41 5/05/2021 23:01:59

jano
Moderateur
Inscription : 13/11/2007
Messages : 960

Re : Vol à basse altitude: bâtiments écrasés

bon pas grave je vais chercher ...

pour ça on utilise apt-file search sous debian, pratique pour trouver un paquet qui contient le fichier manquant, tu dois surement avoir un équivalent sous mageia !

il est possible de faire une séparation entre compilé et fournie en utilisant simplement un autre compte sur la bécane, au moins tu es sur de ne pas mélanger, et facile de tout virer smile (faut au moins garder les data git, parce que c'est galère à chopper au debut ! )

Hors ligne

#42 6/05/2021 20:06:26

zakharov
Membre historique du forum.
Inscription : 11/09/2005
Messages : 897

Re : Vol à basse altitude: bâtiments écrasés

Salut,

il y a distrowatch qui permet de comparer pas mal de choses entre distribs linux. Et voici une liste des paquets dispos sur les deux distribs (mageia8 et debian10), une petite recherche sur une partie du nom d'un paquet manquant dans la liste devrait aider à trouver leur équivalent chez mageia, y a plus qu'à installer la version de dev pour compiler tout comme il faut

@+
bons vols
zakh

Dernière modification par zakharov (6/05/2021 20:07:04)


le zkv1000
Debian Buster sur i7-9750H, 16G, NVIDIA GeForce GTX 1660 Ti MaxQ 6Go,
FG next compilé à la mano
Joystick TM T. Stick X avec avec fichier de conf perso

Hors ligne

#43 7/05/2021 0:32:31

Layette
Membre
Inscription : 24/04/2021
Messages : 24

Re : Vol à basse altitude: bâtiments écrasés

Bonsoir, ok merci à tous, je regarde tout ça.


Systeme d'exploitation : Mageia 8
00:02.0 VGA compatible controller: Intel Corporation HD Graphics 530 (rev 06)
01:00.0 3D controller: NVIDIA Corporation GM107M [GeForce GTX 960M] (rev a2) Version flightgear: 2020.3.6
RAM: 16 Go   Processeur : Intel Core i5-6300HQ   1 processeur physique; 4 coeurs; 4 threads

Hors ligne

#44 8/05/2021 18:38:35

Layette
Membre
Inscription : 24/04/2021
Messages : 24

Re : Vol à basse altitude: bâtiments écrasés

Bonjour, après le lancement de download_and_compile.sh comme je l'ai signalé dans un précédent message, j'obtiens ceci:
...
Lecture des paquets installés...
'dctrl-tools' n'a pas été trouvé parmi les noms de paquets. Essai parmi les capacités.
Aucun fournisseur de 'dctrl-tools' trouvé.
Résolution des dépendances des paquets...
Rien à faire.
...

Donc ce que j'ai fait, c'est que, comme j'ai plusieurs systèmes Linux et notamment Debian, je suis passé sous Debian et j'ai lancé le script download_and_compile.sh  et là ça marche. Effectivement, la version 2020.3.8  semble beaucoup plus élaborée que la 2020.3.6. Quand je descends en rase motte les bâtiments sont bien là, c'est super, ça marche nickel. Cependant, quand je coche la case correspondante à Terrasync pour le téléchargement des scènes à la volées, cette case ne reste pas cochée !... je pense que peut-être mon ordi n'est pas assez puissant et en plus sur Debian je n'ai pas installé le pilote propriétaire NVIDIA car c'est pas mal la galère pour le faire, donc c'est la puce Intel qui   
est active ce qui n'est pas le top en matière de performances.
Bon j'aurai bien aimé installer la version 2020.3.8 sur Mageia car là c'est le pilote propriétaire NVIDIA qui est actif, mais je crois que ça ne va pas le faire à la vue de l'erreur  "Aucun fournisseur de 'dctrl-tools' trouvé."
D'ici quelques temps j'espère pouvoir avoir un PC Tour plus performant que le mien actuel.
Si vous avez des idées pour cette histoire de 'dctrl-tools', je vous remerci.


Systeme d'exploitation : Mageia 8
00:02.0 VGA compatible controller: Intel Corporation HD Graphics 530 (rev 06)
01:00.0 3D controller: NVIDIA Corporation GM107M [GeForce GTX 960M] (rev a2) Version flightgear: 2020.3.6
RAM: 16 Go   Processeur : Intel Core i5-6300HQ   1 processeur physique; 4 coeurs; 4 threads

Hors ligne

#45 8/05/2021 20:56:37

f-toro
Administrateur
Lieu : LFLA
Inscription : 16/12/2007
Messages : 2 842

Re : Vol à basse altitude: bâtiments écrasés

Normal, dctrl-tools est un outil en ligne de commande pour traiter les informations des paquets Debian.

Donc ça doit pas exister sous Mageia...


André. anciennement taureau89_9
Debian Testing Amd64. CM Sabertooth 990FX, FX8350, 32 Go Ram DDR3 1866 Mhz, GTX 750ti 2Go, DD 2To Sata 3, THRUSTMASTER T.Flight StickX, FG 2020.4.0 Git.

Hors ligne

#46 8/05/2021 23:59:41

zakharov
Membre historique du forum.
Inscription : 11/09/2005
Messages : 897

Re : Vol à basse altitude: bâtiments écrasés

Salut,

bon je pense que l'histoire de l'installation du pilote proprio sous debian doit être évoquée à de multiples endroits sur ce forum, et dans des milliards d'autres sur la vaste toile (et particulièrement ici), mais bon un indice:

sudo apt install nvidia-driver

Avec bumblebee, tu peux activer ta carte nvidia juste quand tu en a besoin, ce qui allège bien la batterie.

Si tu as de l'UEFI activé, il faut effectivement signer les modules qui viennent du dehors, procédure simple mais qui demande d'autoriser la modif UEFI d'abord. Pour ma part j'ai écrit ce petit bout de bash pour faire le boulot à ma place quand y a une maj du noyal, de nvidia ou virtualbox:

#!/bin/zsh
# bash compatible

for c in nvidia-current vboxdrv; do
    for modfile in $(dirname $(modinfo -n $c))/*.ko; do
        sudo /usr/src/linux-headers-$(uname -r)/scripts/sign-file \
            sha256 \
            /root/module-signing/MOK.priv \
            /root/module-signing/MOK.der \
            "$modfile"
    done
done

les fichiers /root/module-signing/MOK.priv et /root/module-signing/MOK.der sont des certificats que j'ai créé une fois pour toute y a longtemps (infos ici en anglais), le script est pas top car il faut booter sur le nouveau noyau pour que ce soit pris en compte (si c'est une maj de noyau), faudrait que je teste une fois depuis le noyau en cours d'exécution pour voir si ça passe, mais en même temps rebooter ne prend que quelques secondes ici alors je me suis pas trop foulé.

Y a rien de bien sorcier en vrai smile

@+
bons vols
zakh


le zkv1000
Debian Buster sur i7-9750H, 16G, NVIDIA GeForce GTX 1660 Ti MaxQ 6Go,
FG next compilé à la mano
Joystick TM T. Stick X avec avec fichier de conf perso

Hors ligne

#47 9/05/2021 2:04:51

Layette
Membre
Inscription : 24/04/2021
Messages : 24

Re : Vol à basse altitude: bâtiments écrasés

Bonsoir, merci pour vos réponses.

zakharov a écrit :

bon je pense que l'histoire de l'installation du pilote proprio sous debian doit être évoquée à de multiples endroits sur ce forum

Oui je suis d'accord avec toi, sur ce forum et sur la toile, mais je me suis cassé la tête dessus plusieurs fois, je n'y suis pas arrivé. Quant à bumblebee, j'étais arrivé à l'installer sur Mageia 7 et sur Debian impossible, pourtant j'avais posté sur un forum mais rien à faire, j'ai rendu mon tablier. Cependant je vais regarder ce que tu me dis et je vais essayer. Merci pour les infos et bonne nuit.


Systeme d'exploitation : Mageia 8
00:02.0 VGA compatible controller: Intel Corporation HD Graphics 530 (rev 06)
01:00.0 3D controller: NVIDIA Corporation GM107M [GeForce GTX 960M] (rev a2) Version flightgear: 2020.3.6
RAM: 16 Go   Processeur : Intel Core i5-6300HQ   1 processeur physique; 4 coeurs; 4 threads

Hors ligne

#48 9/05/2021 10:25:08

ctesc356
Membre
Inscription : 18/05/2010
Messages : 3 226

Re : Vol à basse altitude: bâtiments écrasés

Bonjour,
tu veux une version 2020.3.8 sous Mageia:
https://sourceforge.net/projects/flight … se-2020.3/
Tu as besoin de:
- FlightGear-2020.3.8-x86_64.Appimage
et

- FlightGear-2020.3.8-data.txz
Reste à rendre le fichier "Appimage" exécutable et ça roule. Rien à installer. Rien a désinstaller. On en a plus besoin, on supprime et basta...

Pour avoir quelque chose d'évolutif, il faut compiler, ça demande plus d'implication...
Pas mal de gens compilent fg pour des distros "rpm", voir sur le forum officiel...

Dernière modification par ctesc356 (9/05/2021 10:41:50)


Intel i5 3570 3.4Mhz, Nvidia GTX 660, 8Go Ram, Linux Mint/Debian testing

Hors ligne

#49 9/05/2021 19:39:42

Layette
Membre
Inscription : 24/04/2021
Messages : 24

Re : Vol à basse altitude: bâtiments écrasés

Bonjour, bon  l'installation du pilote proprio sous debian c'est fait, bumblebee c'est fait aussi.

zakharov a écrit :

Si tu as de l'UEFI activé, il faut effectivement signer les modules qui viennent du dehors,

diantre !!!... oui c'est un démarrage en UEFI (parle-t-on de la même chose !) mais "signer les modules qui viennent du dehors"  pour moi c'est un peu du chinois !... quant au script que tu m'as donné, moi pas bien comprendre qu'est-ce que ça fait !!!  bon toujours est-il que je suis arrivé à passer le job  "download_and_compile.sh" sous Debian et que ça marche, mais ça je l'avais dit dans un précédent message. Avec bumblebee et pilote proprio si tant est que quand je lance flightgear ce soit bien la puce NVIDIA qui est active avec le pilote proprio (je ne sais pas comment le vérifier !) et bien c'est meilleur du point de vue image mais quand même parfois un peu saccadé, vivement un nouvel ordi ! bref, globalement ça marche sur Debian mais bien que j'ai coché le rapatriement des scènes en temps réels par Terrasync, ça je ne sais pas dire si ça marche, chaque fois que je relance il faut que je recoche ! ...  au niveau de l'image je trouve que l'eau est trop noire, et ensuite il y a des choses qui ne sont pas très ressemblantes par exemple sur LFMN (aéroport de Nice) le var qui se jette dans la mer est d'une couleur jaune !!! bizarre pour de la flotte, mais peut-être que je n'ai pas pris les bons paramètres. Si quelqu'un a eu le problème et a trouvé le bon paramétrage ça m'intéresserait. Avec mes remerciements.
       

ctesc356 a écrit :

tu veux une version 2020.3.8 sous Mageia:
https://sourceforge.net/projects/flight … se-2020.3/
Tu as besoin de:
- FlightGear-2020.3.8-x86_64.Appimage
et
- FlightGear-2020.3.8-data.txz

Merci pour cette info, avant de l'avoir, j'avais fait la chose suivante:
Comme j'ai plusieurs OS sur mon ordi et j'ai entre autre une version Mageia 8 on va dire de secours (ce n'est pas mon OS principal) j'ai installé Mageia cauldron c'est à dire version 9 c'est la version instable à venir, la stable est la 8. Il se trouve que pour Mageia 9 j'ai trouvé un paquetage rpm de flightgear en version 2020.3.8 que jai installé et ça marche smile nickel donc mais j'ai les mêmes problèmes au niveau de l'image que sur Debian sans doute paramétrage pas top de ma part, enfin je pense.

ctesc356 a écrit :

Pour avoir quelque chose d'évolutif, il faut compiler, ça demande plus d'implication...
Pas mal de gens compilent fg pour des distros "rpm", voir sur le forum officiel...

Oui je veux bien mais je ne maîtrise pas trop pour ne pas dire pas du tout et comme j'ai déjà l'erreur concernant le paquet dctrl-tools  je ne sais pas par quoi le remplacer ou quoi faire.
Dernière question est-ce qu'il est possible sous flightgear d'activer Vulkan ?

En tous cas merci pour votre aide, j'ai quand même pas mal avancé je pense et ceci grace à vous.


Systeme d'exploitation : Mageia 8
00:02.0 VGA compatible controller: Intel Corporation HD Graphics 530 (rev 06)
01:00.0 3D controller: NVIDIA Corporation GM107M [GeForce GTX 960M] (rev a2) Version flightgear: 2020.3.6
RAM: 16 Go   Processeur : Intel Core i5-6300HQ   1 processeur physique; 4 coeurs; 4 threads

Hors ligne

#50 9/05/2021 23:21:08

zakharov
Membre historique du forum.
Inscription : 11/09/2005
Messages : 897

Re : Vol à basse altitude: bâtiments écrasés

Salut

zakh a écrit :

signer les modules qui viennent du dehors

signer signifie «je certifie que c'est bien le module attendu». En fait (et pour schématiser suis pas expert en UEFI), UEFI intègre un mécanisme de sécurité qui empêche des éléments qui ne sont pas "officiels" d'être chargés surtout quand ils sont sensés avoir un accès direct au matos. Le module nvidia n'est pas fourni par debian et signé par le système. En effet tu as du remarquer qu'il est dans un dépôt non-free, et qu'il y a une partie de compilation. Aussi le module nvidia "vient du dehors" du point de vue du système et d'UEFI. Si tu ne dit pas que c'est OK et que l'UEFI peut lui faire confiance, alors le module ne sera pas chargé. Y a deux solutions: une qui dit au BIOS «laisse-moi tranquille et ne vérifie pas», et une autre qui lui dit «je comprends, ok je vais faire le nécessaire». Tu auras compris que la deuxième est la solution à privilégier, sinon autant prendre du windows big_smile
Le petit bout de script moche ne fait que signer en boucle les modules qu'il trouve pour nvidia et virtualbox, en utilisant le script de signature fourni avec les en-têtes du noyau (headers). On pourrait faire beaucoup plus élégant, mais bon...

Pour savoir si FG utilise le pilote nvidia, tu as la propriété "/sim/rendering/gl-vendor". Si tu vois que c'est du nvidia ou du intel tu auras la réponse smile Si tu lances en ligne de commande (je ne vois d'ailleurs pas l'intérêt de faire autrement mais c'est un autre débat smile) pense à utiliser primusrun:

primusrun /le/chemin/vers/fgfs option1 option2...

Ensuite pour tes options terrasync qui ne se sauvegardent pas, c'est bien étrange, mais comme tu as plusieurs OS installés je me dit que tu as peut-être un même $HOME partagé entre eux, tu as vérifié que tu avais bien les droits en écriture sur le fichier $HOME/.fgfs/autosave_2020_4.xml ? Au pire tu peux le supprimer, ça va juste en créer un tout neuf à la prochaine fermeture de FG avec tes paramètres de terrasync enregistrés cette fois.

@+
bons vols
zakh


le zkv1000
Debian Buster sur i7-9750H, 16G, NVIDIA GeForce GTX 1660 Ti MaxQ 6Go,
FG next compilé à la mano
Joystick TM T. Stick X avec avec fichier de conf perso

Hors ligne

Pied de page des forums